Package com.smartgwt.logicalstructure.widgets.grid

# Class AdvancedHiliteEditorLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.grid.AdvancedHiliteEditorLogicalStructure

public class AdvancedHiliteEditorLogicalStructure extends VLayoutLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `appearanceGroupTitle`
  `String`
  `callback`
  `String`
  `cancelButtonTitle`
  `String`
  `filterGroupTitle`
  `String[]`
  `hiliteIcons`
  `String`
  `invalidHilitePrompt`
  `String`
  `saveButtonTitle`
  `String`
  `targetFieldsItemTitle`
  `String`
  `title`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, editProxyConstructor, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, members, membersMargin, minMemberLength, minMemberSize, overflow, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, showDropLines, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canFocus, canHover, canSelectText, canvasItem, children, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructor, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvas, parentElement, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDragMask, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdvancedHiliteEditorLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### appearanceGroupTitle

    public String appearanceGroupTitle

  - ### callback

    public String callback

  - ### cancelButtonTitle

    public String cancelButtonTitle

  - ### filterGroupTitle

    public String filterGroupTitle

  - ### hiliteIcons

    public String[] hiliteIcons

  - ### invalidHilitePrompt

    public String invalidHilitePrompt

  - ### saveButtonTitle

    public String saveButtonTitle

  - ### targetFieldsItemTitle

    public String targetFieldsItemTitle

  - ### title

    public String title

- ## Constructor Details

  - ### AdvancedHiliteEditorLogicalStructure

    public AdvancedHiliteEditorLogicalStructure()